#include "mainwindow.h"
#include <QApplication>
#include <QSurfaceFormat>
#include <QTranslator>

int main(int argc, char *argv[])
{
    QSurfaceFormat format;
    format.setMajorVersion(3);
    format.setMinorVersion(3);
    format.setOption(QSurfaceFormat::DebugContext);
    format.setProfile(QSurfaceFormat::OpenGLContextProfile::CoreProfile);
    QSurfaceFormat::setDefaultFormat(format);

    QApplication a(argc, argv);
    a.setOrganizationName("nou");
    a.setApplicationName("Tenmon");
    a.setWindowIcon(QIcon(":/org.nou.tenmon.png"));

    QTranslator translator;
    if(translator.load(QLocale(), "tenmon", "_", ":/translations"))
        a.installTranslator(&translator);

    MainWindow w;
    w.show();

    return a.exec();
}
